package main

import "fmt"

/*
每个源文件可以有 任意多个 init 函数；
同一个文件内的多个 init，按源码出现顺序执行；
不同文件之间的 init，按文件名字母顺序（a.go、b.go…）执行；
所有 init 完成后，才进入 main()。
*/

func init() {
	fmt.Println("main.go init")
}

func main() {
	fmt.Println("main")
}
